<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>LibGE: Rule Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="cropped-BDS-Logo-1.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">LibGE
   &#160;<span id="projectnumber">0.31.0</span>
   </div>
   <div id="projectbrief">A c++ GE implementation</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="class_rule-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Rule Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_rule_8h_source.html">Rule.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Rule:</div>
<div class="dyncontent">
<div class="center"><img src="class_rule__inherit__graph.png" border="0" usemap="#_rule_inherit__map" alt="Inheritance graph"/></div>
<!-- MAP 0 -->
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for Rule:</div>
<div class="dyncontent">
<div class="center"><img src="class_rule__coll__graph.png" border="0" usemap="#_rule_coll__map" alt="Collaboration graph"/></div>
<!-- MAP 1 -->
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a7fdc8d012eda99ae7cf6330c33ca789d"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_rule.html#a7fdc8d012eda99ae7cf6330c33ca789d">Rule</a> (const unsigned int=0)</td></tr>
<tr class="separator:a7fdc8d012eda99ae7cf6330c33ca789d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a933ab79a6586dd432da84cb6093769b8"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_rule.html#a933ab79a6586dd432da84cb6093769b8">Rule</a> (const <a class="el" href="class_rule.html">Rule</a> &amp;)</td></tr>
<tr class="separator:a933ab79a6586dd432da84cb6093769b8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a92760fc705b3da696f86e42b77943c21"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_rule.html#a92760fc705b3da696f86e42b77943c21">~Rule</a> ()</td></tr>
<tr class="separator:a92760fc705b3da696f86e42b77943c21"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7d639d6a745bc78c22349e94745676e0"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_rule.html#a7d639d6a745bc78c22349e94745676e0">clear</a> ()</td></tr>
<tr class="separator:a7d639d6a745bc78c22349e94745676e0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ade26bc3d3c661cc4d82ce9dee2308a07"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_rule.html#ade26bc3d3c661cc4d82ce9dee2308a07">getRecursive</a> () const</td></tr>
<tr class="separator:ade26bc3d3c661cc4d82ce9dee2308a07"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaeb4cf5e80ab4c9613779b5ac95be2d0"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_rule.html#aaeb4cf5e80ab4c9613779b5ac95be2d0">setRecursive</a> (const bool)</td></tr>
<tr class="separator:aaeb4cf5e80ab4c9613779b5ac95be2d0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a36282e15bec600ba5d74862eb0a58cea"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_rule.html#a36282e15bec600ba5d74862eb0a58cea">getMinimumDepth</a> () const</td></tr>
<tr class="separator:a36282e15bec600ba5d74862eb0a58cea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aca36d04f2f30cfdb2d9098dbfe0f0889"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_rule.html#aca36d04f2f30cfdb2d9098dbfe0f0889">setMinimumDepth</a> (const unsigned int)</td></tr>
<tr class="separator:aca36d04f2f30cfdb2d9098dbfe0f0889"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a04cef931592a5b1c2d7ddade038f40ce"><td class="memItemLeft" align="right" valign="top">vector&lt; <a class="el" href="class_symbol.html">Symbol</a> * &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_rule.html#a04cef931592a5b1c2d7ddade038f40ce">lhs</a></td></tr>
<tr class="separator:a04cef931592a5b1c2d7ddade038f40ce"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a7fdc8d012eda99ae7cf6330c33ca789d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7fdc8d012eda99ae7cf6330c33ca789d">&#9670;&nbsp;</a></span>Rule() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Rule::Rule </td>
          <td>(</td>
          <td class="paramtype">const unsigned int&#160;</td>
          <td class="paramname"><em>newLength</em> = <code>0</code></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a933ab79a6586dd432da84cb6093769b8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a933ab79a6586dd432da84cb6093769b8">&#9670;&nbsp;</a></span>Rule() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Rule::Rule </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="class_rule.html">Rule</a> &amp;&#160;</td>
          <td class="paramname"><em>copy</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a92760fc705b3da696f86e42b77943c21"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a92760fc705b3da696f86e42b77943c21">&#9670;&nbsp;</a></span>~Rule()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Rule::~Rule </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a7d639d6a745bc78c22349e94745676e0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7d639d6a745bc78c22349e94745676e0">&#9670;&nbsp;</a></span>clear()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Rule::clear </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a36282e15bec600ba5d74862eb0a58cea"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a36282e15bec600ba5d74862eb0a58cea">&#9670;&nbsp;</a></span>getMinimumDepth()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int Rule::getMinimumDepth </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ade26bc3d3c661cc4d82ce9dee2308a07"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ade26bc3d3c661cc4d82ce9dee2308a07">&#9670;&nbsp;</a></span>getRecursive()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Rule::getRecursive </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aca36d04f2f30cfdb2d9098dbfe0f0889"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aca36d04f2f30cfdb2d9098dbfe0f0889">&#9670;&nbsp;</a></span>setMinimumDepth()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Rule::setMinimumDepth </td>
          <td>(</td>
          <td class="paramtype">const unsigned int&#160;</td>
          <td class="paramname"><em>newMinimumDepth</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aaeb4cf5e80ab4c9613779b5ac95be2d0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaeb4cf5e80ab4c9613779b5ac95be2d0">&#9670;&nbsp;</a></span>setRecursive()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Rule::setRecursive </td>
          <td>(</td>
          <td class="paramtype">const bool&#160;</td>
          <td class="paramname"><em>newRecursive</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a04cef931592a5b1c2d7ddade038f40ce"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a04cef931592a5b1c2d7ddade038f40ce">&#9670;&nbsp;</a></span>lhs</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">vector&lt;<a class="el" href="class_symbol.html">Symbol</a>*&gt; Rule::lhs</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>src/<a class="el" href="_rule_8h_source.html">Rule.h</a></li>
<li>src/<a class="el" href="_rule_8cpp.html">Rule.cpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
